<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
//echo "<br> Sistema lab. de solos";

$sessao = new sessao();
$anoCorrente=$sessao->getvar('anocorrente');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
$requerente=$sessao->getVar('requerente');
//echo(" Operador: $nomeOperador idlabo=$idLabo  anoCorrente $anoCorrente  requerente=$requerente<br>");
////////////
//aqui vou fazer pesquisa por mes para fins de tirar o relatorio mensal
//e tambem vou fazer pesquisa por requerente

//como sera esta pesquisa:
//o sistema vai pegar todos requerentes colocando dentro de um vetor vetor requerente
//em seguida ele pesquisa se o requerente tem pedidos 
//ENTRA DE QUAKQUER MANEIRA
$objPagamento=new tabelagenerica();
$objRequerente=new tabelagenerica();
$objetocalculo=new calculos();
//cria  tabela de requerentes e seus respectivos servicos encomendados
$objRequerente->tabela="remetente";
$objRequerente->campos_valores = array(
		"prd_nome" => NULL,
        "prd_id"=>NULL,
	);





$ano=date("Y");
switch ($tela):


    case 'listarUltimas':
	    if(isset($_POST['ocorrencias1'])):
           //echo("achaou comando ocorrenciaza<br>");		
           $amostra=$_POST['amostra'];
           $ano=$_POST['ano'];
		endif; 
	 
	
	
	
	
        echo '<h2>Últimas ocorrências</h2>';
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "400px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Nome operador</th><th>Data/Hora</th><th>Amostra</th><th>Finalidade</th><th>Valor</th><th>Documento</th>
                </tr>
            </thead>
            <tbody>
                <?php 
                $userOcorrencias=new tabelagenerica();
				if($amostra>0):
				    $userOcorrencias->extras_select =" select reg_operador,reg_datacad,reg_finalidade,reg_valor,reg_id_doc,reg_id_amostra  from registro_ocorrencias,ficha where fic_amostra=".$amostra." and year(fic_dt_entrada)=".$ano." and fic_id=reg_id_amostra and reg_labo=".$idLabo;
				
				
				else:
				   $userOcorrencias->extras_select =" select reg_operador,reg_datacad,reg_finalidade,reg_valor,reg_id_doc,reg_id_amostra  from registro_ocorrencias,ficha where fic_id=reg_id_amostra and reg_labo=".$idLabo;
				
				endif;
				
				$userOcorrencias->selecionaCamposEspecial($userOcorrencias);
			    while ($resOcorrencias = $userOcorrencias->retornaDados()):
			        $amostraLong=$resOcorrencias->reg_id_amostra;

					$vetorAmostra=$objetocalculo->capturaGeralAmostra($amostraLong);	
                    echo '<tr>';
                    printf('<td>%s</td>',$resOcorrencias->reg_operador);
                    printf('<td>%s</td>',date("d/m/Y H:i",strtotime($resOcorrencias->reg_datacad)));
                    printf('<td>%s</td>',$vetorAmostra[1].date("/Y",strtotime($vetorAmostra[36])));
                    printf('<td>%s</td>',$resOcorrencias->reg_finalidade);
                    printf('<td>%s</td>',$resOcorrencias->reg_valor);
					//captura o tipo e o numero do documento
					$idDoc=$resOcorrencias->reg_id_doc;
					if($idDoc>0):
						//ENTRA DE QUAKQUER MANEIRA
						$genericaDoc=new tabelagenerica();
						$genericaDoc->tabela="documentosponte,documentos";
						$genericaDoc->campos_valores = array(
							"doc_numero" => NULL,
					        "doc_tipo" => NULL,
				        );
						//esta sql é epecial porque pode ter mais de um tipo de documento na amostra
						$genericaDoc->extras_select =" where dpo_documento_autonumerador=doc_id &&  dpo_amostra_vinculada=".$amostraLong." and  dpo_documento_autonumerador=".$idDoc;
						$genericaDoc->selecionaCampos($genericaDoc);
						$contador=0;
						while ($resgenericaDoc= $genericaDoc->retornaDados()):
			               $docFinal=$resgenericaDoc->doc_tipo.'  Nº'. $resgenericaDoc->doc_numero;						   
					    endwhile;         					
					else:
					    $docFinal="-O-";
					endif;
                    printf('<td>%s</td>',$docFinal);
                    echo '</tr>';
				endwhile;	
               ?>
            </tbody>
        </table>

	            <form class="userform" method="POST" action="">
				<fieldset>
					<table>
                    <tr>
						<td>
						<input type="submit" name="ocorrencias1" value="Ocorrencias na amostra -->" />
                        <td><input type="text" name="amostra" value="<?php echo $amostra;?>" size="2" />/
                        <input type="text" name="ano" value="<?php echo $ano;?>" size="2" />
						</td>
					</tr>
					</table>
					</<fieldset>
					</form>
        
        <?php        
    break;



 
	
	
	
	
	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>